Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name: nasm
Version: 0.98
Release: 4tr
Copyright: Freely Distributable
Group: Programming/Compilers
Source: ftp://ftp.us.kernel.org/pub/software/devel/nasm/source/nasm-%{version}.tar.gz
URL: http://www.cryogen.com/Nasm/
BuildRoot: /tmp/rpm-build-nasm
Prefix: /usr

%package doc
Summary: Extensive documentation for NASM
Group: Documentation
Prereq: /sbin/install-info

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM.
Group: Programming/Compilers

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
info, PostScript and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
make everything

%install
mkdir -p "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/bin
mkdir -p "$RPM_BUILD_ROOT"/usr/share/man/man1
mkdir -p "$RPM_BUILD_ROOT"/usr/share/info
DOC="$RPM_BUILD_ROOT"/usr/doc/nasm-%{version}
rm -rf "$DOC"
mkdir -p "$DOC"
mkdir -p "$DOC"/rdoff
rm -f "$RPM_BUILD_ROOT"/usr/share/info/nasm.*
make INSTALLROOT="$RPM_BUILD_ROOT" docdir=/usr/doc/nasm-%{version} install_everything
gzip -9 "$RPM_BUILD_ROOT"/usr/share/info/nasm.*
gzip -9 "$DOC"/*.txt "$DOC"/*.ps
cp Changes Licence MODIFIED Readme Wishlist *.doc changed.asm "$DOC"
cp rdoff/README rdoff/Changes "$DOC"/rdoff

%clean
#rm -rf "$RPM_BUILD_ROOT"

%post doc
/sbin/install-info /usr/share/info/nasm.info.gz /usr/share/info/dir

%preun doc
if [ $1 = 0 ]; then
  /sbin/install-info --delete /usr/share/info/nasm.info.gz /usr/share/info/dir
fi

%files
%defattr(-,root,root)
/usr/bin/nasm
/usr/bin/ndisasm
/usr/share/man/man1/*
/usr/share/info/nasm.info*.gz
%doc Licence COPYING

%files doc
%doc doc/* Readme Wishlist Changes MODIFIED

%files rdoff
%attr(-,root,root)	/usr/bin/ldrdf
%attr(-,root,root)	/usr/bin/rdf2bin
%attr(-,root,root)	/usr/bin/rdf2com
%attr(-,root,root)	/usr/bin/rdfdump
%attr(-,root,root)	/usr/bin/rdflib
%attr(-,root,root)	/usr/bin/rdx
%doc rdoff/Changes rdoff/README	

%changelog
* Mon Mar 26 2001 Alexander Reelsen <ar@trustix.com>
- Fixed install-info problem
